/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:43pm
Filepath: scripts\Items\Artifacts\champion spawns\braceofparacelsus.cs
Lines of code: 80

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class braceofparacelsus : GoldBracelet
	{
	
			private static SkillName[] m_PossibleBonusSkills = new SkillName[]
			{
				SkillName.Swords,
				SkillName.Fencing,
				SkillName.Macing,
				SkillName.Archery,
				SkillName.Wrestling,
				SkillName.Parry,
				SkillName.Tactics,
				SkillName.Anatomy,
				SkillName.Healing,
				SkillName.Magery,
				SkillName.Meditation,
				SkillName.EvalInt,
				SkillName.MagicResist,
				SkillName.AnimalTaming,
				SkillName.AnimalLore,
				SkillName.Veterinary,
				SkillName.Musicianship,
				SkillName.Provocation,
				SkillName.Discordance,
				SkillName.Peacemaking,
				SkillName.Chivalry,
				SkillName.Focus,
				SkillName.Necromancy,
				SkillName.Stealing,
				SkillName.Stealth,
				SkillName.SpiritSpeak,
				SkillName.Bushido,
				SkillName.Ninjitsu
			};

		[Constructable]
		public braceofparacelsus() : base()
		{
			Name="Brace of Paracelsus";
			
			
			SkillBonuses.SetValues( 0, m_PossibleBonusSkills[Utility.Random(m_PossibleBonusSkills.Length)], 15 );
			
		
		
			switch(Utility.Random(7))
			{			
				case 0:Hue = 1150;break;
				case 1:Hue = 2118;break;
				case 2:Hue = 1266;break;
				case 3:Hue = 1161;break;
				case 4:Hue = 24;break;
				case 5:Hue = 1420;break;
				case 6:Hue = 1109;break;
			}
			
			Resistances.Fire = 20;
			Resistances.Energy = 20;
			Resistances.Poison = 20;
			Resistances.Cold = 20;
		}
		

		

		public braceofparacelsus( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 3 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
			
			
			if(version<=2)
			{
			
				Resistances.Physical = 0;	
				Resistances.Fire = 20;
				Resistances.Energy = 20;
				Resistances.Poison = 20;
				Resistances.Cold = 20;
			}
			
		}
	}
	
}